> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tenant settings



## OpenAPI

````yaml get /v1/tenants/{id}/get-settings
openapi: 3.0.0
info:
  title: Auth APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/auth
  - url: https://staging.api.eu.aptlydone.com/auth
  - url: https://api.us.aptlydone.com/auth
  - url: https://api.eu.aptlydone.com/auth
security: []
tags: []
paths:
  /v1/tenants/{id}/get-settings:
    get:
      tags:
        - tenants
      summary: Get tenant settings
      operationId: TenantController_getTenantDefaults_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Setting values get successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/TenantDefaultConfigurationResponseDtoResponse
      security:
        - accessToken: []
components:
  schemas:
    TenantDefaultConfigurationResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-12T09:10:12.337Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/TenantDefaultConfigurationResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    TenantDefaultConfigurationResponseDto:
      type: object
      properties:
        authorityValueType:
          description: Authority value type settings
          allOf:
            - $ref: '#/components/schemas/TenantDecisionAuthorityValueTypeResponseDto'
        decisionSettings:
          description: Decision settings
          allOf:
            - $ref: '#/components/schemas/TenantDecisionSettingsResponseDto'
        delegationSettings:
          description: Delegation settings
          allOf:
            - $ref: '#/components/schemas/DelegationRecipientSettingsResponseDto'
        documentManagement:
          description: Document management settings
          allOf:
            - $ref: '#/components/schemas/TenantDocumentManagementSettingResponseDto'
        documentOversight:
          description: Document oversight settings
          allOf:
            - $ref: '#/components/schemas/TenantDocumentOversightSettingResponseDto'
        matrices:
          description: Matrices settings
          allOf:
            - $ref: '#/components/schemas/MatricesResponseDto'
        permissions:
          example: []
          description: Permissions
          type: array
          items:
            type: object
      required:
        - authorityValueType
        - decisionSettings
        - delegationSettings
        - documentManagement
        - documentOversight
        - matrices
        - permissions
    TenantDecisionAuthorityValueTypeResponseDto:
      type: object
      properties:
        id:
          type: number
          example: 1
          description: Unique identifier
        tenantId:
          type: number
          example: 1
          description: Tenant ID
        isCurrencyValue:
          type: boolean
          example: true
          description: Is currency value flag
        isNumberValue:
          type: boolean
          example: false
          description: Is number value flag
        isTimeValue:
          type: boolean
          example: false
          description: Is time value flag
        isAuthorisedValue:
          type: boolean
          example: false
          description: Is authorised value flag
        isPercentageValue:
          type: boolean
          example: false
          description: Is percentage value flag
      required:
        - id
        - tenantId
        - isCurrencyValue
        - isNumberValue
        - isTimeValue
        - isAuthorisedValue
        - isPercentageValue
    TenantDecisionSettingsResponseDto:
      type: object
      properties:
        id:
          type: number
          example: 1
          description: Unique identifier
        tenantId:
          type: number
          example: 1
          description: Tenant ID
        roleEnabled:
          type: boolean
          example: true
          description: Role enabled flag
        conditionEnabled:
          type: boolean
          example: true
          description: Condition enabled flag
        documentEnabled:
          type: boolean
          example: true
          description: Document enabled flag
        commentsEnabled:
          type: boolean
          example: true
          description: Comments enabled flag
        disableSection:
          type: boolean
          example: true
          description: Disable section flag
        disableCategory:
          type: boolean
          example: true
          description: Disable category flag
        isDeleted:
          type: boolean
          example: false
          description: Is deleted flag
      required:
        - id
        - tenantId
        - roleEnabled
        - conditionEnabled
        - documentEnabled
        - commentsEnabled
        - disableSection
        - disableCategory
        - isDeleted
    DelegationRecipientSettingsResponseDto:
      type: object
      properties:
        id:
          type: number
          example: 1
          description: Unique identifier
        tenantId:
          type: number
          example: 1
          description: Tenant ID
        autoIssue:
          type: boolean
          nullable: true
          example: true
          description: Auto issue flag
        personalInPosition:
          type: boolean
          nullable: true
          example: true
          description: Personal in position flag
        positionOnly:
          type: boolean
          nullable: true
          example: true
          description: Position only flag
        specificPersonal:
          type: boolean
          nullable: true
          example: true
          description: Specific personal flag
        isRedeligationLimit:
          type: boolean
          nullable: true
          example: true
          description: Is redelegation limit flag
        redelegationLimitValueCurrency:
          type: string
          nullable: true
          example: USD
          description: Redelegation limit value currency
        redelegationLimitValueNumber:
          type: string
          nullable: true
          example: '1000'
          description: Redelegation limit value number
        redelegationLimitValueTime:
          type: string
          nullable: true
          example: 24h
          description: Redelegation limit value time
        redelegationLimitValuePercentage:
          type: string
          nullable: true
          example: '50'
          description: Redelegation limit value percentage
        redeligationLimitsAuthorised:
          type: boolean
          nullable: true
          example: true
          description: Redelegation limits authorised flag
        actionAuthorityRequest:
          type: boolean
          nullable: true
          example: true
          description: Action authority request flag
        actionDelegationAcceptance:
          type: boolean
          nullable: true
          example: true
          description: Action delegation acceptance flag
        actionDecisionRoleAck:
          type: boolean
          nullable: true
          example: true
          description: Action decision role acknowledgment flag
        actionIssuerApproval:
          type: boolean
          nullable: true
          example: true
          description: Action issuer approval flag
        actionDesignatedApprover:
          example:
            - 1
            - 2
            - 3
          description: Action designated approver IDs
          type: array
          items:
            type: number
        document:
          type: boolean
          nullable: true
          example: true
          description: Document required flag
        comments:
          type: boolean
          nullable: true
          example: true
          description: Comments required flag
        delegationPathway:
          type: boolean
          nullable: true
          example: true
          description: Delegation pathway flag
      required:
        - id
        - tenantId
        - autoIssue
        - personalInPosition
        - positionOnly
        - specificPersonal
        - isRedeligationLimit
        - redelegationLimitValueCurrency
        - redelegationLimitValueNumber
        - redelegationLimitValueTime
        - redelegationLimitValuePercentage
        - redeligationLimitsAuthorised
        - actionAuthorityRequest
        - actionDelegationAcceptance
        - actionDecisionRoleAck
        - actionIssuerApproval
        - actionDesignatedApprover
        - document
        - comments
        - delegationPathway
    TenantDocumentManagementSettingResponseDto:
      type: object
      properties:
        id:
          type: number
          example: 1
          description: Unique identifier
        tenantId:
          type: number
          example: 1
          description: Tenant ID
        linkDocuments:
          type: boolean
          example: true
          description: Link documents flag
        uploadDocuments:
          type: boolean
          example: true
          description: Upload documents flag
        documentEditing:
          type: boolean
          example: false
          description: Document editing flag
        documentTypeEnabled:
          type: boolean
          example: true
          description: Document type enabled flag
        documentVersioningEnabled:
          type: boolean
          example: true
          description: Document versioning enabled flag
        documentOversightEnabled:
          type: boolean
          example: true
          description: Document oversight enabled flag
        documentGenerationEnabled:
          type: boolean
          example: true
          description: Document generation enabled flag
        documentGenerationOverview:
          type: boolean
          example: true
          description: Document generation overview enabled flag
        documentGenerationAuthorities:
          type: boolean
          example: true
          description: Document generation authority enabled flag
        documentExternalSharing:
          type: boolean
          example: true
          description: Document external sharing
        documentRequirePassword:
          type: boolean
          example: true
          description: Document require password
        createdAt:
          format: date-time
          type: string
          example: '2024-01-12T00:00:00.000Z'
          description: Created date
        updatedAt:
          format: date-time
          type: string
          example: '2024-01-12T00:00:00.000Z'
          description: Updated date
      required:
        - id
        - tenantId
        - linkDocuments
        - uploadDocuments
        - documentEditing
        - documentTypeEnabled
        - documentVersioningEnabled
        - documentOversightEnabled
        - documentGenerationEnabled
        - documentGenerationOverview
        - documentGenerationAuthorities
        - documentExternalSharing
        - documentRequirePassword
        - createdAt
        - updatedAt
    TenantDocumentOversightSettingResponseDto:
      type: object
      properties:
        id:
          type: number
          example: 1
          description: Unique identifier
        tenantId:
          type: number
          example: 1
          description: Tenant ID
        owner:
          type: boolean
          example: true
          description: Owner flag
        responsibleAuthority:
          type: boolean
          example: true
          description: Responsible Authority flag
        approvalAuthority:
          type: boolean
          example: true
          description: Approval Authority flag
        generateApprovalAction:
          type: boolean
          example: true
          description: Generate Approval Action flag
        reviewerAuthority:
          type: boolean
          example: true
          description: Reviewer Authority flag
        generateReviewAction:
          type: boolean
          example: true
          description: Generate Review Action flag
        createdAt:
          format: date-time
          type: string
          example: '2024-01-12T00:00:00.000Z'
          description: Created date
        updatedAt:
          format: date-time
          type: string
          example: '2024-01-12T00:00:00.000Z'
          description: Updated date
      required:
        - id
        - tenantId
        - owner
        - responsibleAuthority
        - approvalAuthority
        - generateApprovalAction
        - reviewerAuthority
        - generateReviewAction
        - createdAt
        - updatedAt
    MatricesResponseDto:
      type: object
      properties:
        id:
          type: number
          example: 1
          description: Unique identifier
        tenantId:
          type: number
          example: 1
          description: Tenant ID
        isMatricesEnabled:
          type: boolean
          example: true
          description: Is matrices enabled
        isDecisionMatrix:
          type: boolean
          example: true
          description: Is decision matrix
        isAuthorityMatrix:
          type: boolean
          example: true
          description: Is authority matrix
        isExternalSharing:
          type: boolean
          example: true
          description: Is external sharing
        requirePassword:
          type: boolean
          example: true
          description: Require password
        isCommentsEnabled:
          type: boolean
          example: true
          description: Is comments enabled
        createdAt:
          format: date-time
          type: string
          example: '2024-01-15T12:00:00Z'
          description: Created at timestamp
        updatedAt:
          format: date-time
          type: string
          example: '2024-01-15T12:00:00Z'
          description: Updated at timestamp
      required:
        - id
        - tenantId
        - isMatricesEnabled
        - isDecisionMatrix
        - isAuthorityMatrix
        - isExternalSharing
        - requirePassword
        - isCommentsEnabled
        - createdAt
        - updatedAt
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````